## Index

### Modules

- "../CompilerInterface"

### Object literals

- TextRule

## Object literals

### TextRule

TextRule: object

- Defined in rules/text.ts:13

### name

name: string = "text"

- Defined in rules/text.ts:14

### analyze

- analyze(ctx: Context, t: Token): Fragment

- - Defined in rules/text.ts:22

  #### Parameters

  - ##### ctx: Context

  - ##### t: Token

  #### Returns Fragment

### initContext

- initContext(ctx: Context): void

- - Defined in rules/text.ts:16

  #### Parameters

  - ##### ctx: Context

  #### Returns void

Generated using TypeDoc